libgimpprint API Reference: include/gimp-print/gimp-print-version.h Source File

Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals | Related Pages

# include/gimp-print/gimp-print-version.h

Go to the documentation of this file.

    00001 /*              -*- Mode: C -*-
    00002  *  $Id: gimp-print-version_8h-source.html,v 1.1.1.2 2004/12/22 23:49:03 jlovell Exp $
    00003  *
    00004  *   Version of Gimp-print
    00005  *
    00006  *   Copyright 2002 Robert Krawitz (rlk@alum.mit.edu)
    00007  *
    00008  *   This program is free software; you can redistribute it and/or modify it
    00009  *   under the terms of the GNU General Public License as published by the Free
    00010  *   Software Foundation; either version 2 of the License, or (at your option)
    00011  *   any later version.
    00012  *
    00013  *   This program is distributed in the hope that it will be useful, but
    00014  *   WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    00015  *   or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
    00016  *   for more details.
    00017  *
    00018  *   You should have received a copy of the GNU General Public License
    00019  *   along with this program; if not, write to the Free Software
    00020  *   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
    00021  *
    00022  * Revision History:
    00023  *
    00024  *   See ChangeLog
    00025  */
    00026
    00032 #ifndef __GIMP_PRINT_VERSION_H__
    00033 #define __GIMP_PRINT_VERSION_H__
    00034
    00045 /*
    00046  * Autogen-time versioning.
    00047  */
    00048 #define GIMPPRINT_MAJOR_VERSION       (5)
    00049 #define GIMPPRINT_MINOR_VERSION       (0)
    00050 #define GIMPPRINT_MICRO_VERSION       (0)
    00051 #define GIMPPRINT_CURRENT_INTERFACE   (7)
    00052 #define GIMPPRINT_BINARY_AGE          (0)
    00053 #define GIMPPRINT_INTERFACE_AGE       (0)
    00054
    00055 #define GIMPPRINT_CHECK_VERSION(major,minor,micro)      \
    00056   (GIMPPRINT_MAJOR_VERSION >  (major) ||                \
    00057   (GIMPPRINT_MAJOR_VERSION == (major) &&                \
    00058    GIMPPRINT_MINOR_VERSION > (minor)) ||                \
    00059   (GIMPPRINT_MAJOR_VERSION == (major) &&                \
    00060    GIMPPRINT_MINOR_VERSION == (minor) &&                \
    00061    GIMPPRINT_MICRO_VERSION >= (micro)))
    00062
    00064 extern const unsigned int gimpprint_major_version;
    00066 extern const unsigned int gimpprint_minor_version;
    00068 extern const unsigned int gimpprint_micro_version;
    00070 extern const unsigned int gimpprint_current_interface;
    00072 extern const unsigned int gimpprint_binary_age;
    00074 extern const unsigned int gimpprint_interface_age;
    00075
    00084 extern const char *stp_check_version(unsigned int required_major,
    00085                                      unsigned int required_minor,
    00086                                      unsigned int required_micro);
    00087
    00090 #endif /* __GIMP_PRINT_VERSION_H__ */